(use-modules
  (guix packages)
  ((guix licenses) #:prefix license:)
  (guix download)
  (guix build-system gnu)
  (gnu packages)
  (gnu packages autotools)
  (gnu packages guile)
  (gnu packages guile-xyz)
  (gnu packages pkg-config)
  (gnu packages texinfo))

(package
  (name "gib-gab-gob")
  (version "0.1")
  (source "./gib-gab-gob-0.1.tar.gz")
  (build-system gnu-build-system)
  (arguments `())
  (native-inputs
    `(("autoconf" ,autoconf)
      ("automake" ,automake)
      ("pkg-config" ,pkg-config)
      ("texinfo" ,texinfo)))
  (inputs `(("guile" ,guile-3.0)))
  (propagated-inputs
    `(("guile-goblins" ,guile-goblins)))
  (synopsis
    "Rock Paper Scissors and Tic Tac Toe in Goblins!")
  (description
    "This project demonstrates both Rock Paper Scissors and Tic Tac Toe in Goblins!")
  (home-page "https://solarpunk.moe")
  (license license:gpl3+))

